=== debian/changelog ===
vlc (0.8.6a-jb-videolan-1) dapper; urgency=low

  * New upstream release (0.8.6a):
    - Security fix CVE-2007-0017
  * debian/control:
    + add twolame in builtins
    + new upstream x264 version.

 -- Jean-Baptiste Kempf <jb@videolan.org>  Mon, 26 Fev 2007 22:45:00 +0100

vlc (0.8.6.release-0ubuntu1) feisty; urgency=low

  * New upstream release (0.8.6):
    - Autostart in mozilla plugin reenabled (Closes Ubuntu: #67402),
    - ffmpeg demux fixed (Closes Ubuntu: #69849),
    - Segfault with SAP playlist announcement loading fixed
      (Closes Ubuntu: #70664).
  * debian/patches/020_notify.diff: Rediff.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 15 Dec 2006 20:57:59 -0500

vlc (0.8.6-svn20061012.debian-1ubuntu1) edgy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/control: Don't build-depend on libtwolame-dev, a newer
      version of libcaca-dev, or linux-kernel-headers (Ubuntu Edgy
      does not have them),
    - debian/patches/001_1008snap.{fixes,translations}.diff: Remove,
      this is a new upstream version, fixes FTBFS on translations,
    - debian/rules: Use Ubuntu-specific configure options (firefox).
  * New upstream snapshot fixes wxvlc not stopping when 'close
    button' is clicked (Closes Ubuntu: #54630).
  * New upstream snapshot has more robust x264 support
    (Closes: Ubuntu #62217).
  * Segfault when using HTTP interface was fixed in
    0.8.6-svn20060918.debian-1ubuntu4 (Closes Ubuntu: #63833).
  * New upstream snapshot should resolve issues with skins2/wxw
    interfaces (Closes: Ubuntu #64975).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 18 Oct 2006 01:31:36 -0400

vlc (0.8.6-svn20061012.debian-1) unstable; urgency=low

  * New upstream SVN snapshot.
  * Upstream fixed the BadWindow request issue (Closes: #392207).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 12 Oct 2006 20:43:45 +0200

vlc (0.8.6-svn20061008.debian-1) unstable; urgency=high

  * New upstream SVN snapshot. Fixes a heap smashing bug.
  * debian/control:
    + Build-depend on libgtk2.0-dev to work around #388521 (Closes: #391739).
    + Replace XS-X-Vcs-Svn with -XS-Vcs-Svn.

  * debian/patches/020_notify.diff:
    + Fix notify support. Thanks to Christophe Mutricy.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  8 Oct 2006 18:54:30 +0200

vlc (0.8.6-svn20061001.debian-4) unstable; urgency=low

  * Build-depend on libnotify and explicitly activate the libnotify plugin
    (Closes: #391308).
  * Re-enable DV support. libraw1394 is not waiting for us anyway.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  6 Oct 2006 10:24:26 +0200

vlc (0.8.6-svn20061001.debian-2) unstable; urgency=high

  * Temporarily disable DV support because the libraw1394 transition does
    not look like it will happen soon.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  4 Oct 2006 14:00:16 +0200

vlc (0.8.6-svn20061001.debian-1) unstable; urgency=low

  * New upstream SVN snapshot.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  1 Oct 2006 17:57:57 +0200

vlc (0.8.6-svn20060925.debian-1) unstable; urgency=low

  [ Sam Hocevar ]
  * New upstrean SVN snapshot.
  * This release fixes issues with the French Freebox device (Closes: #388332).

  * debian/control:
    + Added Clément Stenac to the uploaders.

  * 020_certificates_paths.diff:
    + New patch from upstream that looks for SSL certificates in
      /etc/ssl/certs/ca-certificates.crt (Closes: #365239).

  [ Clément Stenac ]
  * Add VCS information to control

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 25 Sep 2006 14:00:46 +0200

vlc (0.8.6-svn20060918.debian-1ubuntu4) edgy; urgency=low

  * Backport fixes from Debian's 10/08 snapshot, fixing heap smashing
    with HTTP interface (Closes Ubuntu: #63833),
  * Realign packaging with Debian's 10/08 snapshot, updating rules
    and *.install,
  * Correct previous changelog entry that erroneously marked Ubuntu
    #62856 as resolved.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon,  9 Oct 2006 15:46:37 -0400

vlc (0.8.6-svn20060918.debian-1ubuntu3) edgy; urgency=low

  * Backport fixes from Debian's 09/25 snapshot, fixing failure to
    read rtsp streams from Freebox (Closes Ubuntu: #63135).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 30 Sep 2006 22:07:46 -0400

vlc (0.8.6-svn20060918.debian-1ubuntu2) edgy; urgency=low

  * debian/rules: Remove --enable-dmo --enable-loader from i386
    $(vlc_confflags). With the dh_install -si --fail-missing
    semantics, arch-specific exceptions aren't possible. Fixes
    FTBFS on i386.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 24 Sep 2006 19:08:38 -0400

vlc (0.8.6-svn20060918.debian-1ubuntu1) edgy; urgency=low

  * Merge from Debian unstable. The following Ubuntu changes remain:
    - debian/control:
      + Build-Depend on firefox-dev, not libxul-dev and xulrunner,
      + Build-Depend on linux-libc-dev, not linux-kernel-headers,
      + Remove libtwolame-dev (not in Ubuntu) from Build-Depends,
      + Loosen build-dependency for libcaca-dev to (>= 0.9),
        NOTE: This change may result in subpar colour ASCII
        rendering. Please see http://bugs.debian.org/385174 for
        rationale,
      + Set the maintainer field to
        MOTU Media Team <motumedia@tauware.de> (we're responsible
        for Ubuntu vlc breakage, not Debian), =)
    - debian/rules:
      + Retain UBUNTU_ENV, still using firefox,
      + Add --enable-dmo --enable-loader to $(vlc_confflags) on i386,
        allowing use of proprietary codecs,
      + Remove --enable-twolame (see above change to debian/control).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 24 Sep 2006 01:04:58 -0400

vlc (0.8.6-svn20060918.debian-1) unstable; urgency=low

  * New upstream SVN snapshot, with a slightly saner version number.
  * debian/rules:
    + Call dh_install with -si so that it does not try to install files that
      are not for us (Closes: #387873).


